summaryrefslogtreecommitdiff
path: root/tests.as-root
diff options
context:
space:
mode:
authorSam Thursfield <sam.thursfield@codethink.co.uk>2012-12-17 17:34:24 +0000
committerSam Thursfield <sam.thursfield@codethink.co.uk>2012-12-18 17:22:35 +0000
commit363c85d76402df806886b7f0ca434dee604d862b (patch)
treed8aaca9dac914f6f40f409c3e654549a763e905e /tests.as-root
parent7168239ea0059779ffd8e8185aa82cc76ad235d9 (diff)
downloadmorph-363c85d76402df806886b7f0ca434dee604d862b.tar.gz
morph build: Update repo and ref in stratum build-depends fields
Diffstat (limited to 'tests.as-root')
-rwxr-xr-xtests.as-root/build-handles-stratum-build-depends.script41
1 files changed, 41 insertions, 0 deletions
diff --git a/tests.as-root/build-handles-stratum-build-depends.script b/tests.as-root/build-handles-stratum-build-depends.script
new file mode 100755
index 00000000..5df90bfc
--- /dev/null
+++ b/tests.as-root/build-handles-stratum-build-depends.script
@@ -0,0 +1,41 @@
+#!/bin/bash
+# Copyright (C) 2012 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+## "morph build" should update the build-depends fields of strata correctly.
+
+set -eu
+
+# Disable test on versions of Python before 2.7.
+. "$SRCDIR/scripts/python-check"
+
+. "$SRCDIR/tests.as-root/setup-build"
+
+cd "$DATADIR/workspace"
+"$SRCDIR/scripts/test-morph" branch test:morphs test/stratum-build-depends
+
+cd test/stratum-build-depends/test:morphs
+
+# Both 'linux-system' and the build-depends field of 'linux-stratum' need to
+# be updated here. If they are not, the build command will fail.
+"$SRCDIR/scripts/test-morph" edit linux-system hello-stratum
+
+# Likewise, this command must update build-depends or the 'repo' field will
+# not be changed in the temporary build branch, leading to:
+#
+# ERROR: Ref test/stratum-build-depends is an invalid reference for
+# repo file://TMP/morphs
+#
+"$SRCDIR/scripts/test-morph" build linux-system